# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/05_sample_cases.ipynb (unless otherwise specified).

__all__ = ['Digits', 'DigitsCV', 'svc_digits', 'svc_digits_proba', 'cv_svc_digits']

# Cell
from .algorithms import ScikitLearner, ScikitLearnerCV

import sklearn
from sklearn import datasets
from sklearn import model_selection
from sklearn import svm


class Digits(ScikitLearner):
    "Sample case to use the helper class `ScikitLearner`."
    def __init__(self, learner):
        data = sklearn.datasets.load_digits()
        self.X = data["data"]
        self.y = data["target"]
        self.X_train, self.X_val, self.y_train, self.y_val = model_selection.train_test_split(
            self.X, self.y, test_size=0.2)
        super().__init__(learner)


svc_digits = Digits(svm.SVC(probability=False))
svc_digits_proba = Digits(svm.SVC(probability=True))


class DigitsCV(ScikitLearnerCV):
    "Sample case to use the helper class `ScikitLearner`."
    def __init__(self, learner):
        data = sklearn.datasets.load_digits()
        super().__init__(learner, X=data["data"], y=data["target"])
cv_svc_digits = DigitsCV(svm.SVC())